// V-1-7-2-1  pour WT 1.7.2
// André DUMAS 27-11-2015
/*
*     my.js V-2-7-2-1
*      pour Place_doc V-2-7-2-1
*     André DUMAS DEC 2015
*     pour Webtrees v.1.7.2
*     http://www.adumas.1s.fr/wt
*      http://www.adumas.1s.fr/download/
*/

//jQuery.noConflict();
//http://openclassrooms.com/courses/un-site-web-dynamique-avec-jquery/le-fonctionnement-de-ajax
//http://ww2.ac-creteil.fr/util/programmation/web2/jquery/jquery-ajax.html

$(document).ready(function()  {
 	
//charge menus accueil: Paris par defaut
nom = 'Paris';
code = 'S_Paris_E2.4167_N48.8167';
//source = 'S_Paris_E2.4167_N48.8167';  Default for welcome pageX
//source is coming from module.php
code = source;


//init
	$.ajax({
		url: chemin1 + '&mod_action=menus' ,
		dataType: 'text',
		type : 'POST',
		data: '&name=' + nom + '&code=' + code,
		
		success : function(data) {
			
			if (data != '') {	
				$("#fg").html( data);
			} else {
				 $("#fg").html( 'Erreur! ');
			}				
		}
	});	
	
	
 $.ajax({
		url: chemin1 + '&mod_action=source' ,
		dataType: 'text',
		type : 'POST',
		data: '&source=' + source + '&code=' + code,
		success : function(data) {
			
		 if (data != '') {	
		
			$("#fd").html( data);
		 } else {
			 $("#fd").html( 'Pas d\'images disponibles ');
		 }				
		}
	});	
	
$.ajax({
		url: chemin1 + '&mod_action=pays&pid=' + pid,
		dataType: 'text',
		success : function(data) {
			
			$("#pays").empty().append(
			  '<option value="1">Choisissez le pays</option>' + data);			
		}
	});
//init end
	
	
$("#pays").on("change", function() {  
	var pays = $(this).val(); 
    $.ajax({
		url: chemin1 + '&mod_action=villes&pid=' + pid + '&pays=' + pays,
		dataType: 'text',
		success : function(data) {
			
			$("#ville").empty().append(
			  '<option value="1">Choisissez la ville</option>' + data);		
		}
	});
	
}); //pays change

$("#ville").on("change", function() {  
	var insee = $(this).val(); 
	source = 'S_' + insee;
	
		//manipulation listes : http://www.romualb.com/2010/09/08/206/manipulation_des_eacute_l_eacute_ments_select_d_un_formulaire_avec_jquery.html
	if (insee == 1) {nomVille = '';} else {
	nomVille = $("#ville option:selected").text();
	}
	code = $("#ville option:selected").val();
	//code de la forme Ville_long_lat
	
	//change menus
	 $.ajax({
		url: chemin1 + '&mod_action=menus' ,
		dataType: 'text',
		type : 'POST',
		data: '&name=' + nomVille + '&code=' + code,
		success : function(data) {
		 if (data != '') {	
			$("#fg").html( data);
		 } else {
			 $("#fg").html( 'Erreur! ');
		 }			
		}
	});
	
	
    $.ajax({
		url: chemin1 + '&mod_action=source' ,
		dataType: 'text',
		type : 'POST',
		data: '&source=' + source + '&code=' + code,
		success : function(data) {
		 if (data != '') {	
			$("#fd").html( data);
		 } else {
			 $("#fd").html( 'Pas d\'images disponibles pour cette ville ');
		 }	
			
		}
	});
	
	 $.ajax({
		url: chemin1 + '&mod_action=menupdf' ,
		dataType: 'text',
		type : 'POST',
		data: '&source=' + source,
		success : function(data) {  
		 if (data != '') {	
			$("#pdflink").html( '<b>' + data + '</b>' );
		 } else { 
			 $("#pdflink").html( "<li><b>Aucun document disponible</b></li>");
		 }	
			
		}
	});
	
}); //ville change
	


	
$(".ui-widget-overlay .custom-overlay").on('click', function(){
	$(this).hide();
	$("div#pdflink").hide();
});	


	
	
$("div#pdflink").dialog({ 	autoOpen: false,
							title: 'Documents disponibles',
							background: 'blue',
							color: 'black',
							marginTop: '200px',
							modal: true,
							width: 500,
							open: function(event, ui) {
								$('.ui-widget-overlay').addClass('custom-overlay');
								
								jQuery('.ui-widget-overlay').on('click', function() {
									jQuery('#pdflink').dialog('close');
								});
								
							},
							buttons : {
								'cancel' : function() {
									$(this).dialog("close");
								},
							}
														
	});
	
$("div#noteslink").dialog({ 	autoOpen: false,
							title: 'Add a new note',
							background: 'blue',
							color: 'black',
							marginTop: '200px',
							modal: true,
							width: 500,
							open: function(event, ui) {
								$('.ui-widget-overlay').addClass('custom-overlay');
								
								jQuery('.ui-widget-overlay').on('click', function() {
									jQuery('#pdflink').dialog('close');
								});
								
							},
							buttons : {
								'cancel' : function() {
									$(this).dialog("close");
								},
								'OK' : function(){
									var $n = $(this).find('textarea').val();
									
									$.ajax({
										url: chemin1 + 'addnotes',
										type: 'POST',
										dataType: 'text',
										data : 'source=' + source + '&note=' + $n,
										success : function(){
											
										}
									});
								}
							}
														
							});	
	
$(".ui-dialog").position({
							 my: 'center',
							 at: 'center',
							  of: window
							});												


	
	});//Ready 
 
 //http://www.finalclap.com/faq/257-javascript-supprimer-remplacer-accent  
 // use : chaine.sansAccent()
 String.prototype.sansAccent = function(){
    var accent = [
        /[\300-\306]/g, /[\340-\346]/g, // A, a
        /[\310-\313]/g, /[\350-\353]/g, // E, e
        /[\314-\317]/g, /[\354-\357]/g, // I, i
        /[\322-\330]/g, /[\362-\370]/g, // O, o
        /[\331-\334]/g, /[\371-\374]/g, // U, u
        /[\321]/g, /[\361]/g, // N, n
        /[\307]/g, /[\347]/g, // C, c
    ];
    var noaccent = ['A','a','E','e','I','i','O','o','U','u','N','n','C','c'];
     
    var str = this;
    for(var i = 0; i < accent.length; i++){
        str = str.replace(accent[i], noaccent[i]);
    }
     
    return str;
}
 